/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.role.ui.android;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;

/***********************************************************************************************************************
 *
 * The Role of an object that can create an {@link Intent}.
 * 
 * @stereotype Role
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public interface IntentProvider
  {
    public static final Class<IntentProvider> IntentProvider = IntentProvider.class;

    /*******************************************************************************************************************
     *
     * Create an {@code Intent} for the given target {@link Activity}.
     * 
     * @param  context              the current {@code Context}
     * @param  targetActivityClass  the class of the target {@code Activity}
     *
     ******************************************************************************************************************/
    @Nonnull
    public Intent createIntent (@Nonnull Context context, 
                                @Nonnull Class<? extends Activity> targetActivityClass);
  }
